diff -ur av-orig/event_source.py /usr/share/audit-viewer/event_source.py
--- av-orig/event_source.py	2008-12-05 09:51:29.000000000 +0100
+++ /usr/share/audit-viewer/event_source.py	2008-12-05 12:35:04.000000000 +0100
@@ -15,7 +15,6 @@
 # permission of Red Hat, Inc.
 #
 # Red Hat Author: Miloslav Trmac <mitr@redhat.com>
-import collections
 import datetime
 import re
 
@@ -108,7 +107,7 @@
         # This function is time critical, so it is a bit ugly.  "#o" comments
         # contain the "nice" version of some constructs
         parser = self._create_parser()
-        events = collections.defaultdict(Event)
+        events = {}
 
         parser.search_set_stop(auparse.AUSEARCH_STOP_EVENT)
         if len(filters) > 0:
@@ -135,11 +134,13 @@
         while next_event_fn():
             ts = parser_get_timestamp()
             # FIXME: ts.host seems to be valid only until the next event is read
-            e = events[(ts.serial, ts.sec, ts.milli)]
-            # The Event() constructor does not have access to ts.  Most events
-            # have only a single record, so this usually does not overwrite the
-            # ID unnecessarily.
-            e.id = ts
+            event_key = (ts.serial, ts.sec, ts.milli)
+            try:
+                e = events[event_key]
+            except KeyError:
+                e = Event()
+                e.id = ts
+                events[event_key] = e
             if parser_first_record():
                 e_fields = e.fields
                 while 1: #o while True:
diff -ur av-orig/filters.py /usr/share/audit-viewer/filters.py
--- av-orig/filters.py	2008-12-05 09:51:30.000000000 +0100
+++ /usr/share/audit-viewer/filters.py	2008-12-05 12:30:20.000000000 +0100
@@ -18,7 +18,7 @@
 import datetime
 from gettext import gettext as _, ngettext
 import time
-import xml.etree.cElementTree as cElementTree
+import cElementTree
 
 import auparse
 
diff -ur av-orig/list_tab.py /usr/share/audit-viewer/list_tab.py
--- av-orig/list_tab.py	2008-12-05 09:51:30.000000000 +0100
+++ /usr/share/audit-viewer/list_tab.py	2008-12-05 12:31:56.000000000 +0100
@@ -18,7 +18,7 @@
 import csv
 from gettext import gettext as _
 import time
-import xml.etree.cElementTree as cElementTree
+import cElementTree
 
 import gobject
 import gtk
@@ -555,7 +555,10 @@
             for (column, title) in enumerate(self.__field_columns):
                 l = event_fields_get(title, None)
                 # "if l" == "if l is not None and len(l) > 0'
-                store_data[column + 1] = l.pop(0) if l else ''
+                if l:
+                    store_data[column + 1] = l.pop(0)
+                else:
+                    store_data[column + 1] = ''
             events.append((sort_key, tuple(store_data)))
         events.sort(key = lambda event: event[0], reverse = self.sort_reverse)
         return events
diff -ur av-orig/main_window.py /usr/share/audit-viewer/main_window.py
--- av-orig/main_window.py	2008-12-05 09:51:30.000000000 +0100
+++ /usr/share/audit-viewer/main_window.py	2008-12-05 12:29:55.000000000 +0100
@@ -19,7 +19,7 @@
 from gettext import gettext as _
 
 import os
-import xml.etree.cElementTree as cElementTree
+import cElementTree
 
 import gobject
 import gtk
diff -ur av-orig/statistic.py /usr/share/audit-viewer/statistic.py
--- av-orig/statistic.py	2008-12-05 09:51:31.000000000 +0100
+++ /usr/share/audit-viewer/statistic.py	2008-12-05 12:30:32.000000000 +0100
@@ -18,7 +18,7 @@
 import datetime
 from gettext import gettext as _, ngettext
 import time
-import xml.etree.cElementTree as cElementTree
+import cElementTree
 
 from filters import FieldFilter, TimestampFilter
 import format_versions
diff -ur av-orig/tab.py /usr/share/audit-viewer/tab.py
--- av-orig/tab.py	2008-12-05 09:51:32.000000000 +0100
+++ /usr/share/audit-viewer/tab.py	2008-12-05 12:30:36.000000000 +0100
@@ -17,7 +17,7 @@
 # Red Hat Author: Miloslav Trmac <mitr@redhat.com>
 from gettext import gettext as _
 import copy
-import xml.etree.cElementTree as cElementTree
+import cElementTree
 
 from dialog_base import DialogBase
 from filters import Filter
